#include "pairs.hh"

Level Fireman =
{
	3, // level number
	"Fireman",

	// screens:
	{
		{
		"##    ....      "   "                "
		"##    ....      "   "                "
		"##    ....      "   "                "
		"##    ----      "   "                "
		"##|#############"   "       v       v"
		"##|           ##"   "                "
		"##|           ##"   "                "
		"##|           ##"   "                "
		"#############|##"   "       v        "
		"##           |##"   "                "
		"##           |##"   "                "
		"##           |##"   "        Y       "
		"################"   "                "
		"~~~~~~~~~~~~~~~~"   "                "
		"LLLLLLLLLLLLLLLL"   "                "
		"LLLLLLLLLLLLLLLL"   "                "
		, 0 // monster graphics index
		,LevelBegin| Right},
		{
		"..............##"   "     v          "
		"..............##"   "                "
		"      ........##"   "                "
		"      --------##"   "                "
		"#############|##"   "           v    "
		"      ....   |##"   "                "
		"        ..   |##"   "                "
		"        ..   |##"   "                "
		"|###############"   "      v         "
		"|               "   "                "
		"|               "   "                "
		"|               "   "                "
		"################"   "                "
		"~~~~~~~~~~~~~~~~"   "                "
		"LLLLLLLLLLLLLLLL"   "                "
		"LLLLLLLLLLLLLLLL"   "                "
		, 0 // monster graphics index
		,Right},
		{
		"####.........|##"   "                "
		"####.........|##"   "                "
		"####.........|##"   "                "
		"####.........|##"   "    E           "
		"######....#|####"   "                "
		"####...... |  ##"   "                "
		"##........ |  ##"   "                "
		"##........ |  ##"   "                "
		".......... |  ##"   "                "
		".......... |  ##"   "                "
		"......#^.. |  ##"   "                "
		"......##.. |  ##"   "                "
		"####..##..##..##"   "       I        "
		"~~~~~~##~~~~~~~~"   "                "
		"LLLLLL##LLLLLLLL"   "     d          "
		"LLLLLL##LLLLLLLL"   "                "
		, 0 // monster graphics index
		,Up},
		{
		"##.|..........##"   "                "
		"##.|..........##"   "                "
		"##.|..........##"   "                "
		"##.|..........##"   "                "
		"##............##"   "                "
		"##....#######|##"   "                "
		"##...........|##"   "                "
		"##...........|##"   "  e             "
		"###^.........|##"   "                "
		"####......#|####"   "                "
		"####.......|..##"   "   I            "
		"####.......|..##"   "    e           "
		"#####^.....|..##"   "                "
		"#############|##"   "                "
		"#############|##"   "     I          "
		"#############|##"   "                "
		, 1 // monster graphics index
		,Up},
		{
		"##.............."   "                "
		"##.............."   "                "
		"##.............."   "                "
		"##.............."   "              PP"
		"##........######"   "                "
		"##........######"   "                "
		"##........######"   "                "
		"##........######"   "                "
		"##........######"   "                "
		"##.............."   "                "
		"##.|###^........"   "       I        "
		"##.|####..######"   "                "
		"##.|#####^######"   "       I        "
		"##.|############"   "                "
		"##.|############"   "         I      "
		"##.|############"   "                "
		, 1 // monster graphics index
		,Right},
		{
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"........####...."   "                "
		"........###>...."   "            ] - "
		"#>....####......"   "  ] -           "
		"........##....#."   "                "
		"........##......"   "                "
		">....#..##......"   " ] -            "
		"........####..##"   "                "
		".###...###....##"   "                "
		"........##....##"   "                "
		"........##....##"   "                "
		, 1 // monster graphics index
		,Right},
		{
		"..............##"   "                "
		"..............##"   "                "
		"..............##"   "                "
		"..............##"   "                "
		"..............##"   "                "
		"..............##"   "                "
		"####..#^..##..##"   "                "
		"####..##..##..##"   "                "
		"..###^##..##..##"   "       I        "
		"..##########..##"   "                "
		"..######......##"   "     I          "
		"..######......##"   "                "
		"########......##"   "        eee     "
		"############.|##"   "                "
		"############.|##"   "                "
		"############.|##"   "                "
		, 1 // monster graphics index
		,Down},
		{
		"############.|##"   "                "
		"############.|##"   "                "
		"####..######.|##"   "                "
		"####..######.|##"   "                "
		"####.........|##"   "                "
		"####.........|##"   "                "
		"############.|##"   "                "
		"####.........|##"   "                "
		"####..........##"   "                "
		"####..........##"   "                "
		"##............##"   "                "
		"##............##"   "                "
		"##......#^..#^##"   "                "
		"##.|##..########"   "                "
		"##.|##..########"   "      d  I   I  "
		"##.|############"   "                "
		, 1 // monster graphics index
		,Down},
		{
		"##.|############"   "                "
		"##.|############"   "                "
		"##.|..##########"   "                "
		"##.|..##########"   "                "
		"##.............."   "                "
		"##.............."   "                "
		"##............zz"   "                "
		"##...........|##"   "                "
		"##...........|.."   "                "
		"##...........|.."   "        Y       "
		"##......#^...|.."   "                "
		"##......##..##.."   "                "
		"##..#^..##......"   "         I      "
		"##~~##~~##~~~~~~"   "                "
		"##LL##LL##LLLLLL"   "     I     d    "
		"##LL##LL##LLLLLL"   "                "
		, 1 // monster graphics index
		,RestartPointA| Right},
		{
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"zzzz......zzzz.."   "                "
		"####.....|####.."   "                "
		".........|......"   "                "
		".........|......"   "                "
		"........##......"   "                "
		"................"   "                "
		"..............#^"   "                "
		"~~~~~~~~~~~~~~##"   "                "
		"LLLLLLLLLLLLLL##"   "     d         I"
		"LLLLLLLLLLLLLL##"   "                "
		, 1 // monster graphics index
		,Right},
		{
		"###########|WW##"   "                "
		"###########|WW##"   "                "
		"########...|WW##"   "                "
		"########...|WW##"   "                "
		"...........|WW##"   "                "
		"...........|WW##"   "                "
		"...........|WW##"   "                "
		"...........|WW##"   "                "
		"...........|WW##"   "                "
		"...........|WW##"   "                "
		"..#^..######WW##"   "                "
		"..##........WW##"   "                "
		"..##............"   "   I            "
		"~~##~~~~~~~~~~~~"   "                "
		"LL##LLLLLLLLLLLL"   "    d           "
		"LL##LLLLLLLLLLLL"   "                "
		, 1 // monster graphics index
		,Up},
		{
		"##  |     ..####"   "                "
		"##  |     ..  ##"   "                "
		"##  |     ..  ##"   "                "
		"##  |     ..  ##"   "                "
		"##  |     ..  ##"   "                "
		"##  %%EEEE%%| ##"   "                "
		"##  %%EEEE%%| ##"   "                "
		"##  ..      | ##"   "                "
		"##  ..      | ##"   "                "
		"###|%%EEEEEE%%##"   "                "
		"###|%%EEEEEE%%##"   "                "
		"## |        WW##"   "                "
		"## |        WW##"   "                "
		"###########|WW##"   "                "
		"###########|WW##"   "                "
		"###########|WW##"   "                "
		, 1 // monster graphics index
		,Up},
		{
		"#..............."   "                "
		"#..............."   "                "
		"#.......        "   "                "
		"#-------        "   "                "
		"#.......      ##"   "                "
		"#.......      ##"   "                "
		"#.....      ####"   "                "
		"#.....      ####"   "                "
		"#.....    ######"   "                "
		"#-----    ####  "   "                "
		"#.....  ######  "   "              s "
		"#-----  ######  "   "                "
		"#...  ##########"   "                "
		"##..|#####?/~~~~"   "                "
		"##..|#####//LLLL"   "                "
		"##..|#####LLLLLL"   "                "
		, 2 // monster graphics index
		,Right},
		{
		"..............##"   "                "
		"..............##"   "                "
		"      ........##"   "                "
		"      --------##"   "             f  "
		"#############|##"   "                "
		"      ....   |##"   "                "
		"        ..   |##"   "                "
		"        ..   |##"   " f              "
		"|###############"   "                "
		"|               "   "                "
		"|               "   "                "
		"|               "   "               f"
		"################"   "                "
		"~~~~~~~~~~~~~~~~"   "                "
		"LLLLLLLLLLLLLLLL"   "                "
		"LLLLLLLLLLLLLLLL"   "                "
		, 2 // monster graphics index
		,Right},
		{
		"..        ......"   "                "
		"..        ......"   "                "
		"          ......"   "                "
		"          ......"   "  P             "
		"  |         ...."   "                "
		"  |         ...."   "                "
		"  |             "   "                "
		"  |             "   "                "
		"  |             "   "                "
		"  |             "   "                "
		"  |             "   "                "
		"  |             "   "                "
		"####  ##  ##  ##"   "                "
		"~~~~~~~~~~~~~~##"   "                "
		"LLLLLLLLLLLLLL##"   "        d   d   "
		"LLLLLLLLLLLLLL##"   "        s       "
		, 2 // monster graphics index
		,Right},
		{
		".............###"   "                "
		".............###"   "                "
		".............###"   "                "
		".............###"   "                "
		"..    .......###"   "                "
		"..    .......###"   "                "
		"        ......DD"   "              SS"
		"        ......DD"   "              SS"
		"          ....DD"   "              SS"
		"          ....DD"   "              SS"
		"          #^#^##"   "                "
		"          ######"   "                "
		"################"   "           I I  "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		, 2 // monster graphics index
		,Shutter},
		{
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"################"   "                "
		"################"   "                "
		"bbbbbbbbbbbbbbbb"   "           .    "
		"bbbbbbbbbbbbbbbb"   "                "
		"bbbbbbbbbbbbbbbb"   "                "
		"bbbbbbbbbbbbbbbb"   "        Y       "
		"################"   "                "
		"################"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		, 0 // monster graphics index
		,RestartPointB| Right},
		{
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"################"   "                "
		"################"   "                "
		"bbbbbbbbbbbbbbbb"   "     .        . "
		"bbbbbbbbbbbbbbbb"   "                "
		"bbbbbbbbbbbbbbbb"   "                "
		"bbbbbbbbbbbbbbbb"   "                "
		"################"   "                "
		"################"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		, 0 // monster graphics index
		,Right},
		{
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"################"   "                "
		"################"   "                "
		"bbbbbbbbbbbbbbbD"   "      .        S"
		"bbbbbbbbbbbbbbbD"   "               S"
		"bbbbbbbbbbbbbbbD"   "               S"
		"bbbbbbbbbbbbbbbD"   "               S"
		"################"   "                "
		"################"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		, 0 // monster graphics index
		,Shutter},
		{
		"################"   "                "
		"################"   "                "
		"#bbbbbbbbbbbbbb#"   "                "
		"#bbbbbbbbbbbbbb#"   "                "
		"#bbbbbbbbbbbbbb#"   "                "
		"#bbbbbbbbbbbbbb#"   "                "
		"bbbbbbbbbbbbbbb#"   "                "
		"bbbbbbbbbbbbbbb#"   "                "
		"bbbbbbbbbbbbbbb#"   "                "
		"bbbbbbbbbbbbbbb#"   "                "
		"#bbbbbbbbbbbbbb#"   "                "
		"#bbbbbbbbbbbbbb#"   "            !   "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		, 3 // monster graphics index
		,End},
	},

	// palette
	{
		15, 48, 16,  6, 
		15, 27, 11,  0, 
		15, 39, 22,  6, 
		15, 38, 22,  6, 

		15, 44, 17, 15, 
		15, 32, 56, 15, 
		15, 39, 21, 15, 
		15, 48, 17, 15, 

		15, 48, 16,  6, 
		15, 32, 16,  0, 
		15, 39, 22,  6, 
		15, 48, 16, 22, 
	},

	// after doors palette
	{
		15, 48, 16,  6, 
		15, 27, 11,  0, 
		15, 39, 22,  6, 
		15, 38, 22,  6, 

	},

	// actives
	{
	},

	// enemies
	{
		Enemy( 0, 0x80,0xE0, 0x32 ),
		Enemy( 10, 0xD0,0x04, 0xE ),
		Enemy( 11, 0xB0,0xFF, 0xE ),
	},

	// level gfx (id, count) (max 15); id is block*4+bank
	{
		{ 0x40, 8 }, { 0x7A, 2 }, { 0xDE, 1 }, { 0x7A, 2 }, 
		{ 0xE2, 1 }, { 0xD8, 1 }, { 0x5E, 1 }, { 0xC0, 8 }, 
		{ 0xA1, 8 }, 
	},

	// monster gfx tables (max 11) (5 tiles, 2*3bytepalette)
	{
		{ { 0x7A, 0xFE, 0xDE, 0x7A, 0x7E, }, { 39,21,15, 48,17,15,} },
		{ { 0x7A, 0xFE, 0xDE, 0xC6, 0x42, }, { 39,21,15, 48,17,15,} },
		{ { 0x7A, 0xFE, 0xDE, 0x62, 0x72, }, { 39,21,15, 48,17,15,} },
		{ { 0x90, 0x94, 0x98, 0x5A, 0x42, }, { 32,21,15, 39,21,15,} },
	},

	0x00, // Arrival input

	FiremanAscii, FiremanChar
};
